Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454414 (mingw32-w32api) - Review Request: mingw32-w32api - MinGW Windows cross-compiler Win32 header files
Summary: Review Request: mingw32-w32api - MinGW Windows cross-compiler Win32 header files
Keywords:
Status: CLOSED RAWHIDE
Alias: mingw32-w32api
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Levente Farkas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: mingw32-binutils 454410 mingw32-runtime
Blocks: 454416
TreeView+ depends on / blocked
 
Reported: 2008-07-08 11:49 UTC by Richard W.M. Jones
Modified: 2008-12-11 15:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-11 15:01:01 UTC
lfarkas: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)
spec file patch (deleted)
2008-11-21 22:56 UTC, Levente Farkas
no flags Details | Diff

Description Richard W.M. Jones 2008-07-08 11:49:43 UTC
Spec URL: http://www.annexia.org/tmp/mingw/mingw-w32api.spec
SRPM URL: http://www.annexia.org/tmp/mingw/mingw-w32api-3.11-1.fc10.src.rpm
Description: MinGW Windows cross-compiler Win32 header files

Incomplete packaging guidelines:
https://fedoraproject.org/wiki/PackagingDrafts/MinGW

These are a public domain reimplementation of the header files
required in order to call Win32 API functions.

Comment 2 Levente Farkas 2008-11-21 22:56:46 UTC
Created attachment 324357 [details]
spec file patch

Comment 3 Levente Farkas 2008-11-21 23:04:41 UTC
with the attached patch the package is good.

 This package (mingw32-w32api) is APPROVED by lfarkas

Comment 4 Richard W.M. Jones 2008-11-24 10:12:35 UTC
New Package CVS Request
=======================
Package Name: mingw32-w32api
Short Description: MinGW Windows cross-compiler Win32 header files
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:

Comment 5 Dennis Gilmore 2008-11-25 16:37:47 UTC
CVS Done

Comment 6 Richard W.M. Jones 2008-12-11 15:01:01 UTC
All built, bootstrapped and pushed.


Note You need to log in before you can comment on or make changes to this bug.